
Application: gvSIG desktop - gvSIG bugs #910
Link between two tables fails
07/23/2012 12:37 PM - María Maluenda

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document table
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
-Open new View
-Add two shp layer-->geodata/vector/SHP2D/esp_comaut and geodata/vector/SHP2D/esp_provincias 
-Click Ok
-Open attribute table
-Attribute tables open
-Select Link tool
-Appear the link window and select the origin table
-Select the field to use for link
-Select table to link
-Select the field to use for link
-And finish
An error appears 
Attached .log
-----------------------------------------
-Abrir gvSIG
-Abrir una Vista
-Añadir dos capas shp -> geodata/vector/SHP2D/esp_comaut y geodata/vector/SHP2D/esp_provincias
-Clic en Aceptar
-Abrir las tablas de atributos
-Las tablas de atributos se abren
-Seleccionar la herramienta Enlazar
-Aparece el cuadro de diálogo de Enlace y se selecciona la tabla de origen
-Seleccionar el campo a utilizar para el enlace
-Seleccionar la tabla de vincular
-Seleccionar el campo a utilizar para el enlace
-Y Terminar
Aparece un error
Se adjunta .log

History
#1 - 10/30/2012 07:02 PM - Manuel Madrid
- Subject changed from Add shape layers, open attribute table(View) and make Link between the attribute tables. to Link between two tables fails
- Priority changed from Normal to Immediate
- Target version set to 2.0.0-rc1

#2 - 10/31/2012 12:33 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

Using the table name, not the store name.

gvsig-desktop:r39126

Test: the steps described should now work

#3 - 11/07/2012 01:08 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Files
gvSIG.log 129 KB 07/23/2012 María Maluenda
